import graphene

from vbv_lernwelt.assignment.graphql.mutations import AssignmentMutation
from vbv_lernwelt.assignment.graphql.queries import AssignmentQuery
from vbv_lernwelt.course.schema import CourseQuery
from vbv_lernwelt.feedback.graphql.mutations import FeedbackMutation


class Query(AssignmentQuery, CourseQuery, graphene.ObjectType):
    pass


class Mutation(AssignmentMutation, FeedbackMutation, graphene.ObjectType):
    pass


schema = graphene.Schema(query=Query, mutation=Mutation, auto_camelcase=False)
